﻿<UserControl x:Class="OrslavTeam.Revit.Steel.StairRun.UserControls.StepsSection.Single_General_Control"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:local="clr-namespace:OrslavTeam.Revit.Steel.StairRun.UserControls.StepsSection"
        xmlns:controls="clr-namespace:OrslavTeam.WPFStyle.Style.Controls;assembly=OrslavTeam.WPFStyle.Style"
        mc:Ignorable="d" d:DesignHeight="450" d:DesignWidth="800">
    <UserControl.Resources>
        <ResourceDictionary Source="pack://application:,,,/OrslavTeam.WPFStyle.Style;component/WindowsStyle.xaml" />
    </UserControl.Resources>
    <controls:FlipGroupPanel>
        <controls:FlipGroupPanel.FrontContent>
            <Grid>
                <Canvas Width="480" Height="350">
                    <Image Height="260" Canvas.Top="50" Canvas.Left="0"
                            Source="C:\ProgramData\Autodesk\Revit\Addins\2019\OTeam\res\Steel\StairRun\steps_single.png" />
                    <Button Width="100" Height="40" Canvas.Right="20" Canvas.Top="25"
                            Content="{Binding SectionStepBaseName}" Command="{Binding SectionStepsBaseGetProfile}">
                    </Button>
                </Canvas>
            </Grid>
        </controls:FlipGroupPanel.FrontContent>
        <controls:FlipGroupPanel.BackContents>
            <local:ProfileInfoControl />
        </controls:FlipGroupPanel.BackContents>
    </controls:FlipGroupPanel>
</UserControl>
